Bug 1797926 - Korean Baekmuk fonts does not map missing glyphs to id 0
Summary: Korean Baekmuk fonts does not map missing glyphs to id 0
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: baekmuk-ttf-fonts
Version: 31
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-04 08:58 UTC by Matthew Cline
Modified: 2020-10-21 03:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-21 03:46:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Matthew Cline 2020-02-04 08:58:26 UTC
From https://bugs.chromium.org/p/chromium/issues/detail?id=1042994

"So the font, does not map missing characters to a glyph id 0, missing glyph id, but instead maps it to a glyph named '.null', glyph id 12505."

The result is that when Chrome tries to display the Korean characters listed at http://www.alanwood.net/unicode/hangul-jamo-extended-b.html the characters come out as blank.

Comment 1 Peng Wu 2020-02-05 03:33:08 UTC
Please consider to use google-noto-sans-cjk-ttc-fonts and google-noto-serif-cjk-ttc-fonts.

And report this issue to font maintainers - http://kldp.net/baekmuk/ .

Comment 2 Jens Petersen 2020-10-21 03:16:38 UTC
There is also naver-nanum-fonts.


Note You need to log in before you can comment on or make changes to this bug.